### Function

# Vips ArrayImage new

#### Declaration [src]

    VipsArrayImage*
    vips_array_image_new (
      VipsImage** array,
      int n
    )

#### Description [src]

Allocate a new array of images and copy `array` into it. Free with `vips_area_unref()`.

The images will all be reffed by this function. They will be automatically unreffed for you by `vips_area_unref()`.

Add an extra `NULL` element at the end, handy for eg. `vips_image_pipeline_array()` etc.

See also

`VipsArea`.

#### Parameters

`array`

  Type: An array of `VipsImage*`

  Array of `VipsImage`.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the function.

`n`

  Type: `int`

  Number of images.

#### Return value

Type: `VipsArrayImage`

A new `VipsArrayImage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.